
#include "rmessage.h"
#include "mocktcp.h"

main(int argc, char** argv)
{
	int	s, port, res, i=0, j, s2;
	int	counts[16];
	char	buf[256];
	rm_msg	*m;
	struct sockaddr_in from, client;
	struct timeval t = {1, 0};

	if (argc != 2) {
		fprintf(stderr, "usage: server {port}\n");
		exit(1);
	}

	port  = atoi(argv[1]);

	fprintf(stderr, "Server waiting on port %d.\n", port);
	bzero(&counts, 16 * sizeof(int));

	mt_init();
	s = mt_socket();
	if (s < 0) {
		perror("mt_socket");
		exit(1);
	}

	res = mt_bind(s, port);
	if (res < 0) {
		perror("mt_bind");
		exit(1);
	}

	/*
	res = mt_listen(s);
	if (res < 0) {
		perror("mt_listen");
		exit(1);
	}

	fprintf(stderr, "mt_listen says connection request here.\n");

	s2 = mt_accept(s, &client);
	if (s2 < 0) {
		perror("mt_accept");
		exit(1);
	}

	fprintf(stderr, "connection accepted with mt_accept.\n");
	*/

	res = rm_recvfrom(s, buf, 256, 0, &client);
	if (res < 0) {
		perror("rm_recv");
		exit(1);
	}
	buf[res] = '\0';
	fprintf(stderr, "got: %s\n", buf);

	rm_connect_ip(s, client.sin_addr.s_addr, ntohs(client.sin_port));

	res = rm_send(s, "hello 2 you", 11, 0);
	if (res < 0) {
		perror("rm_send");
		exit(1);
	}
}


