
#include "rmessage.h"
#include "mocktcp.h"

extern int is_connected(int, struct sockaddr_in*);

main(int argc, char** argv)
{
	int	s, port, res, i=0, j, *m, myid;
	char	*host, buf[256], line[32];
	struct sockaddr_in a;
	struct timeval t = {1, 0};

	if (argc != 4) {
		fprintf(stderr, "usage: client {host} {port} {id}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);
	myid  = atoi(argv[3]);

	fprintf(stderr, "%d: to \"%s\" on port %d.\n", myid, host, port);

	mt_init();
	s = mt_socket();
	if (s < 0) {
		perror("mt_open");
		exit(1);
	}

	/*
	res = mt_connect(s, host, port);
	if (res < 0) {
		perror("mt_connect");
		exit(1);
	}

	fprintf(stderr, "connection established.\n");


	if (is_connected(s, NULL))
		fprintf(stderr, "Connection verified.\n");
	else
		fprintf(stderr, "Connection NOT verified.\n");
	*/

	res = rm_connect(s, host, port);
	if (res < 0) {
		perror("rm_connect");
		exit(1);
	}

	res = rm_send(s, "hello", 5, 0);
	if (res < 0) {
		perror("rm_send");
	}
	res = rm_recv(s, buf, 256, 0);
	if (res < 0) {
		perror("rm_recv");
	}
	buf[res] = '\0';
	fprintf(stderr, "got back %d bytes: %s\n", res, buf);
}
