
#include "mocktcp.h"

#define TIMES (1024*10)
#define SIZE 18400

main(int argc, char** argv)
{
	int	s, port, res, len, i, bufsize;
	char	*host, data[SIZE];

	if (argc != 3) {
		fprintf(stderr, "usage: client {host} {port}\n");
		exit(1);
	}

	host = argv[1];
	port  = atoi(argv[2]);

	fprintf(stderr, "sending to \"%s\" on port %d.\n", host, port);

loop:

	fprintf(stderr, "Opening new socket and connecting...\n");
	s = mt_socket();
	if (s < 0) {
		perror("mt_socket");
		exit(1);
	}

	res = mt_connect(s, host, port);
	if (res < 0) {
		perror("mt_connect");
		exit(1);
	}

	len = SIZE;
	for (i=0; i < TIMES; i++) {
		res = mt_write(s, data, len);
		if (res < 0) {
			perror("mt_write");
			exit(1);
		}
	}
	fprintf(stderr, "Wrote %d bytes\n", TIMES * len);

	fprintf(stderr, "************************************************\n");
	fprintf(stderr, "************************************************\n");

	mt_close(s);

	fprintf(stderr, "done.\n");

	sleep(4);
	goto loop;
}


